com.holonplatform.core.internal

## Interface ValidatorDescriptor

- All Superinterfaces:
    Serializable
  All Known Implementing Classes:
    DefaultValidatorDescriptor

      public interface ValidatorDescriptor
      extends Serializable

  Default `Validator`s descriptor.
  Since:
    5.0.0

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static interface` | `ValidatorDescriptor.Builder` Builder to create `ValidatorDescriptor` instances.

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ValidatorDescriptor.Builder` | `builder()` Get a builder to create a `ValidatorDescriptor`.
    `Integer` | `getFractionDigits()` Get the fractional digits count.
    `Set<?>` | `getIn()` Get the admitted values
    `Integer` | `getIntegerDigits()` Get the integer digits count.
    `Number` | `getMax()` Get the maximum value.
    `Number` | `getMin()` Get the minimum value.
    `Set<?>` | `getNotIn()` Get the not admitted values
    `String` | `getPattern()` Get the value regexp pattern.
    `boolean` | `isEmail()` Get whether the value is of email type.
    `boolean` | `isExclusiveMax()` Get whether the maximum value is exclusive.
    `boolean` | `isExclusiveMin()` Get whether the minimum value is exclusive.
    `boolean` | `isFuture()` Get whether the value must be in the future.
    `boolean` | `isPast()` Get whether the value must be in the past.
    `boolean` | `isRequired()` Get whether the value is required.

- - ### Method Detail

    - #### isRequired

          boolean isRequired()

      Get whether the value is required.
      Returns:
        whether the value is required

    - #### isEmail

          boolean isEmail()

      Get whether the value is of email type.
      Returns:
        whether the value is of email type.

    - #### isPast

          boolean isPast()

      Get whether the value must be in the past.
      Returns:
        whether the value must be in the past

    - #### isFuture

          boolean isFuture()

      Get whether the value must be in the future.
      Returns:
        whether the value must be in the future

    - #### getMin

          Number getMin()

      Get the minimum value.
      Returns:
        the minimum value

    - #### getMax

          Number getMax()

      Get the maximum value.
      Returns:
        the maximum value

    - #### isExclusiveMin

          boolean isExclusiveMin()

      Get whether the minimum value is exclusive.
      Returns:
        Whether the minimum value is exclusive

    - #### isExclusiveMax

          boolean isExclusiveMax()

      Get whether the maximum value is exclusive.
      Returns:
        Whether the maximum value is exclusive

    - #### getPattern

          String getPattern()

      Get the value regexp pattern.
      Returns:
        the value regexp pattern

    - #### getIntegerDigits

          Integer getIntegerDigits()

      Get the integer digits count.
      Returns:
        the integer digits count

    - #### getFractionDigits

          Integer getFractionDigits()

      Get the fractional digits count.
      Returns:
        the fractional digits count

    - #### getIn

          Set<?> getIn()

      Get the admitted values
      Returns:
        Admitted values

    - #### getNotIn

          Set<?> getNotIn()

      Get the not admitted values
      Returns:
        Not admitted values

    - #### builder

          static ValidatorDescriptor.Builder builder()

      Get a builder to create a `ValidatorDescriptor`.
      Returns:
        the builder

Copyright © 2019 The Holon Platform. All rights reserved.